section#shipping-calculator-form {
    text-align: left;
}

.cart_totals tr.woocommerce-shipping-totals.shipping span#select2-calc_shipping_state-container {
    padding: 16px;
}

.cart_totals tr.woocommerce-shipping-totals.shipping span#select2-calc_shipping_state-container[title] {
    padding: 8px;
}

.woocommerce-notices-wrapper ul.woocommerce-error li {
    text-align: center;
}

.woocommerce-notices-wrapper .woocommerce-error::before {
    left: 60px;
    top: 10px;
}

.cart .coupon input#coupon_code {
    border-width: 1px !important;
}

@media (max-width: 840px) {
    .woocommerce-page table.cart td.actions .button[name=update_cart] {
        width: 100%;
        margin-top: 10px;
    }

    .woocommerce table.cart td.actions .coupon {
        display: flex;
        gap: 10px;
        width: 100%;
    }

    .woocommerce table.cart td.actions .coupon::before,
    .woocommerce table.cart td.actions .coupon::after {
        content: none !important;
    }

    .woocommerce table.cart td.actions .coupon input#coupon_code {
        border-width: 1px;
        width: 100% !important;
    }

    .woocommerce table.cart td.actions .coupon button[name="apply_coupon"] {
        width: 100% !important;
    }
}

@media (max-width: 768px) {
    .woocommerce table.cart .product-quantity {
        display: flex;
        align-items: center;
        justify-content: space-between;
    }
}

@media (max-width: 480px) {
    .woocommerce table.cart td.actions .coupon {
        display: flex;
        flex-wrap: wrap;
        gap: 10px;
    }

    .woocommerce table.cart td.actions .coupon input#coupon_code {
        flex: 1 1 100%;
        border-width: 1px !important;
    }

    .woocommerce table.cart td.actions .coupon button[name="apply_coupon"] {
        flex: 1 1 100%;
        width: 100%;
    }
}